Skip to main content
GET
/
brokerage-firms
/
{brokerageFirmId}
Get brokerage firm
curl --request GET \
  --url https://api.example.com/brokerage-firms/{brokerageFirmId}
import requests

url = "https://api.example.com/brokerage-firms/{brokerageFirmId}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/brokerage-firms/{brokerageFirmId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "type": "<string>",
  "id": "<string>",
  "companyInfo": {
    "siret": "<string>",
    "siren": "<string>",
    "nafCode": "<string>",
    "nafLabel": "<string>",
    "name": "<string>",
    "creationDate": "<string>",
    "location": {
      "city": "<string>",
      "country": "<string>",
      "address": "<string>",
      "postCode": "<string>"
    },
    "legalStatus": {
      "1": "<string>",
      "2": "<string>",
      "3": "<string>"
    },
    "headcount": "<string>"
  },
  "createdAt": "2023-11-07T05:31:56Z",
  "tenantId": "<string>",
  "activeProducts": [
    "<string>"
  ],
  "inactiveProducts": [
    "<string>"
  ],
  "customFields": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ],
  "parentBrokerageFirmId": "<string>",
  "preferredPaymentMethodId": "<string>"
}
{
"title": "BROKERAGE_FIRM_NOT_FOUND"
}

Path Parameters

brokerageFirmId
string
required

Brokerage firm id

Response

Brokerage firm retrieved successfully.

type
string
required

Entity type

firmType
enum<string>
required

Brokerage firm type

Available options:
WHOLESALE,
RETAIL,
TEAM
id
string
required

Brokerage firm id

companyInfo
object
required

Company info

createdAt
string<date-time>
required

Creation date of brokerage firm

tenantId
string
required

Tenant id

activeProducts
string[]
required

Active products

inactiveProducts
string[]
required

Inactive products

customFields
object[]

custom fields per product

parentBrokerageFirmId
string

Brokerage firm id

preferredPaymentMethodId
string